- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.CheckGradingPeriodsSetupEligibilityResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility#body.aspect)

> [!WARNING]
> This item is deprecated!

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features. This feature is available in `https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion` and later. See [Access Preview APIs](https://developers.google.com/workspace/classroom/reference/preview) to learn more.

Returns whether a user is eligible to update GradingPeriodSettings in a given course.

<br />

This method is deprecated. Use `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/checkUserCapability#body.PATH_PARAMETERS.user_id` instead.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if the requested course does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}:checkGradingPeriodsSetupEligibility`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. The identifier of the course. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

Whether the user is allowed to update GradingPeriodSettings in this course.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "courseId": string, "isGradingPeriodsSetupEligible": boolean, "previewVersion": enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`) } ``` |

| Fields ||
|---|---|
| `courseId` | `string` Immutable. The identifier of the course. |
| `isGradingPeriodsSetupEligible` | `boolean` Whether the user is allowed to update the GradingPeriodSettings in this course. |
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Output only. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.courses`
- `
  https://www.googleapis.com/auth/classroom.courses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).